import React from 'react';
interface ButtonProps<ButtonElement extends HTMLElement> extends Pick<React.DetailedHTMLProps<React.ButtonHTMLAttributes<ButtonElement>, ButtonElement>, 'onKeyDown' | 'onClick' | 'tabIndex' | 'role' | 'aria-haspopup' | 'aria-expanded'> {
    ref: React.RefObject<ButtonElement>;
}
export interface DropdownMenuOptions {
    focusFirstItemOnClick?: boolean;
}
interface DropdownMenuResponse<ButtonElement extends HTMLElement> {
    readonly buttonProps: ButtonProps<ButtonElement>;
    readonly itemProps: {
        onKeyDown: (e: React.KeyboardEvent<HTMLAnchorElement>) => void;
        tabIndex: number;
        role: string;
        ref: React.RefObject<HTMLAnchorElement>;
    }[];
    readonly isOpen: boolean;
    readonly setIsOpen: React.Dispatch<React.SetStateAction<boolean>>;
    readonly moveFocus: (itemIndex: number) => void;
}
export default function useDropdownMenu<ButtonElement extends HTMLElement = HTMLButtonElement>(itemCount: number, options?: DropdownMenuOptions): DropdownMenuResponse<ButtonElement>;
export {};
